# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
tesla_coil_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('tesla_coil_hat.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['tesla_coil_hat.l0','tesla_coil_hat.l1']),
        JPar([
            JLine([ JTxt('enchant.shocking.name', 'gray'), 'enchant.shocking.l0'], 'dark_gray', italic=True),
            'enchant.shocking.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 's',
    stats = Stats([ Stat('hp', -2, 'armor'), Stat('armor', 3.75, 'armor'), Stat('speed', -0.004, 'armor'), Stat('souls_capacity', 1, 'armor')]),
    color = 12105372,
    price = 20,
    other = 'Enchantments:[{}]'
    )
scaled_helmet = Armor(
    id = 'leather_helmet',
    name = JTxt('scaled_helmet.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['scaled_helmet.l0','scaled_helmet.l1']),
        JPar([ JLine(['enchant.fire_protection.name', ' V'], 'gray') ]) ]),
    rank = 's',
    stats = Stats([ Stat('armor', 3.25, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:5s}]',
    color = 15772428,
    set = 'scaled_armor',
    bought = True
    )
heavy_chestplate = Armor(
    id = 'iron_chestplate',
    name = JTxt('heavy_chestplate.name','gray', True, underlined = True),
    lore = Lore([ JPar(['heavy_chestplate.l0','heavy_chestplate.l1']) ]),
    rank = 's',
    stats = Stats([ Stat('armor', 10, 'armor'),  Stat('speed', -0.02,'armor'), Stat('attack_speed', -0.2,'armor')]),
    set = 'heavy_armor',
    price = 18
    )
ice_chestplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('ice_chestplate.name','#29EAFF', True, underlined = True),
    lore = Lore([
        JPar(['ice_chestplate.l0','ice_chestplate.l1']),
        JPar([
            JLine([ JTxt('enchant.freezing.name', 'gray'), 'enchant.freezing.l0'], 'dark_gray', italic=True),
            'enchant.freezing.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 's',
    stats = Stats([ Stat('armor', 5.5, 'armor'), Stat('armor_toughness', 2,'armor')]),
    color = 2747135,
    other = 'Enchantments:[{}]',
    custom_on = True,
    price = 17
    )
life_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('life_leggings.name','red', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = 's',
    stats = Stats([ Stat('armor', -1, 'armor'), Stat('hp', 12, 'armor'),Stat('curse', 1.25, 'armor')]),
    color = 15109314,
    set = "life_armor",
    bought = True
    )
frozen_boots = Armor(
    id = 'leather_boots',
    name = JTxt('frozen_boots.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(["frozen_boots.l0"]),
        JPar([
            JLine([ JTxt('enchant.ice_trail.name', 'gray'), 'enchant.ice_trail.l0'], 'dark_gray', italic=True),
            'enchant.ice_trail.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 's',
    stats = Stats([ Stat('armor', 2.25, 'armor'), Stat('armor_toughness', 1, 'armor')]),
    custom_off = True,
    color = 2925544,
    other = 'Enchantments:[{}]',
    price = 12
    )

s = [tesla_coil_hat, scaled_helmet, heavy_chestplate, ice_chestplate, life_leggings, frozen_boots]

# --------- A -------------
life_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('life_hat.name','red', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', -0.75, 'armor'), Stat('hp', 8, 'armor'),Stat('curse', 0.75, 'armor')]),
    color = 15109314,
    set = "life_armor",
    price = 12
    )
rage_glasses = Armor(
    id = 'leather_helmet',
    name = JTxt('rage_glasses.name','red', True, underlined = True),
    lore = Lore([
        JPar(['rage_glasses.l0','rage_glasses.l1']),
        JPar([
            JLine([ JTxt('enchant.enraging.name', 'gray'), 'enchant.enraging.l0'], 'dark_gray', italic=True),
            'enchant.enraging.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('speed', -0.002, 'armor'), Stat('curse', 0.5, 'armor')]),
    other = 'Enchantments:[{}]',
    custom_on = True,
    color = 15878953,
    bought = True
    )
basic_mage_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('basic_mage_tunic.name','dark_aqua', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 5.25, 'armor'), Stat('mana_capacity', 30, 'armor'), Stat('mana_cost', -10, 'armor')]),
    color = 10286591,
    set = 'mage_armor',
    bought = True
    )
coin_chain = Armor(
    id = 'golden_chestplate',
    name = JTxt('coin_chain.name','#ffeb14', True, underlined = True),
    lore = Lore([
        JPar(['coin_chain.l0','coin_chain.l1','coin_chain.l2']),
        JPar([
            JLine([ JTxt('enchant.greed_protection.name', 'gray'), 'enchant.greed_protection.l0'], 'dark_gray', italic=True),
            'enchant.greed_protection.l1','enchant.greed_protection.l2'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('curse', 1.5, 'armor') ]),
    other = 'Enchantments:[{}]',
    color = 16771860,
    price = 14,
    set = 'greed_set',
    )
steampunk_armor = Armor(
    id = 'leather_leggings',
    name = JTxt('steampunk_armor.name','#F7A539', True, underlined = True),
    lore = Lore([
        JPar(["steampunk_armor.l0","steampunk_armor.l1"]),
        JPar([
            JLine([ JTxt('enchant.burning.name', 'gray'), 'enchant.burning.l0'], 'dark_gray', italic=True),
            'enchant.burning.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 3.75, 'armor'), Stat('armor_toughness', 2,'armor')]),
    color = 16764746,
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:1s}]',
    custom_on = True,
    price = 17,
    )
lava_boots = Armor(
    id = 'leather_boots',
    name = JTxt('lava_boots.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(["lava_boots.l0","lava_boots.l1"]),
        JPar([
            JLine(['enchant.fire_protection.name', ' I', '\\n'], 'gray'),
            JLine([ JTxt('enchant.fire_trail.name', 'gray'), 'enchant.fire_trail.l0'], 'dark_gray', italic=True),
            'enchant.fire_trail.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 2.75, 'armor'), Stat('armor_toughness', 1, 'armor'), Stat('speed', -0.007, 'armor')]),
    custom_off = True,
    color = 14369805,
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:1s}]',
    price = 12
    )
heavy_boots = Armor(
    id = 'iron_boots',
    name = JTxt('heavy_boots.name','gray', True, underlined = True),
    lore = Lore([
        JPar(["heavy_boots.l0","heavy_boots.l1","heavy_boots.l2"]) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 5, 'armor'),  Stat('speed', -0.011,'armor')]),
    set = 'heavy_armor',
    bought = True
    )

a = [life_hat, rage_glasses, basic_mage_tunic, coin_chain, steampunk_armor, lava_boots, heavy_boots]

# --------- B --------------
basic_mage_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('basic_mage_hat.name','dark_aqua', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('mana_capacity', 20,'armor'), Stat('mana_cost', -5,'armor') ]),
    color = 10286591,
    set = 'mage_armor',
    price = 10
    )
passive_aggressive_shirt = Armor(
    id = 'leather_chestplate',
    name = JTxt('passive_agressive_shirt.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['passive_agressive_shirt.l0','passive_agressive_shirt.l1','passive_agressive_shirt.l2']),
        JPar([ JLine(['enchant.thorns.name', ' IV'], 'gray') ]) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 4.5, 'armor'), Stat('armor_toughness', 1, 'armor'), Stat('curse', 1, 'armor') ]),
    color = 15868450,
    other = 'Enchantments:[{id:"minecraft:thorns",lvl:4s}]',
    bought = True
    )
life_chetsplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('life_chestplate.name','red', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', -0.5, 'armor'), Stat('hp', 6, 'armor'),Stat('curse', 0.5, 'armor')]),
    color = 15109314,
    set = "life_armor",
    price = 9
    )
heavy_leggings = Armor(
    id = 'iron_leggings',
    name = JTxt('heavy_leggings.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['heavy_leggings.l0','heavy_leggings.l1']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 5.5, 'armor'), Stat('hp', -1, 'armor'),  Stat('speed', -0.012,'armor')]),
    set = 'heavy_armor',
    price = 11
    )
scaled_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('scaled_leggings.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['scaled_leggings.l0']),
        JPar([ JLine(['enchant.fire_protection.name', ' III'], 'gray') ]) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 3.5, 'armor'), Stat('armor_th', 2, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:3s}]',
    color = 15772428,
    set = 'scaled_armor',
    bought = True
    )
seven_league_boots = Armor(
    id = 'leather_boots',
    name = JTxt('seven_league_boots.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['seven_league_boots.l0','seven_league_boots.l1','seven_league_boots.l2']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 2.5, 'armor'), Stat('speed', 0.025,'armor')]),
    color = 5432141,
    bought = True
    )

b = [basic_mage_hat, passive_aggressive_shirt, life_chetsplate, heavy_leggings, scaled_leggings, seven_league_boots ]

# --------- C --------------
heavy_hemlet = Armor(
    id = 'iron_helmet',
    name = JTxt('heavy_helmet.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['heavy_helmet.l0','heavy_helmet.l1']) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3.75, 'armor'), Stat('armor_toughness', 0.5, 'armor'),  Stat('speed', -0.008,'armor')]),
    set = 'heavy_armor',
    bought = True
    )
lagged_armor = Armor(
    id = 'leather_chestplate',
    name = JTxt('lagged_armor.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['lagged_armor.l0','lagged_armor.l1']),
        JPar([
            JLine([ JTxt('enchant.lagged_protection.name', 'gray'), 'enchant.lagged_protection.l0'], 'dark_gray', italic=True),
            'enchant.lagged_protection.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('armor_toughness', 0.5, 'armor')]),
    color = 13286878,
    price = 5,
    other = 'Enchantments:[{}]',
    bought = True
    )
scaled_chestplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('scaled_chestplate.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['scaled_chestplate.l0','scaled_chestplate.l1']),
        JPar([ JLine(['enchant.fire_protection.name', ' II'], 'gray') ]) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 4.5, 'armor'), Stat('armor_th', 0.5, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:2s}]',
    color = 15772428,
    set = 'scaled_armor',
    price = 4
    )
basic_mage_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('basic_mage_pants.name','dark_aqua', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('mana_capacity', 20, 'armor')]),
    color = 10286591,
    set = 'mage_armor',
    price = 6
    )
creeper_legs = Armor(
    id = 'leather_leggings',
    name = JTxt('creeper_legs.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(["creeper_legs.l0","creeper_legs.l1"]),
        JPar([
            JLine([ JTxt('enchant.exploding.name', 'gray'), 'enchant.exploding.l0'], 'dark_gray', italic=True),
            'enchant.exploding.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 40459,
    custom_on = True,
    price = 8,
    other = 'Enchantments:[{}]'
    )
life_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('life_shoes.name','red', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', -0.5, 'armor'), Stat('hp', 4, 'armor'),Stat('curse', 0.25, 'armor')]),
    color = 15109314,
    set = "life_armor",
    bought = True
    )

c = [heavy_hemlet, lagged_armor, scaled_chestplate, basic_mage_pants, creeper_legs, life_shoes]

# --------- D --------------
beginners_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('beginners_hat.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_hat.l0']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False,
    bought = True
    )
beginners_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('beginners_tunic.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_tunic.l0']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 3, 'armor')]),
    holder = False,
    bought = True
    )
beginners_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('beginners_pants.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_pants.l0']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 2, 'armor') ]),
    holder = False,
    bought = True
    )
beginners_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('beginners_shoes.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_shoes.l0']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False,
    bought = True
    )
leprechaun_top_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('leprechaun_top_hat.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['leprechaun_top_hat.l0','leprechaun_top_hat.l1']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1.25, 'armor'), Stat('luck', 10, 'armor') ]),
    color = 1893963,
    bought = True
    )
cacti_armor = Armor(
    id = 'leather_chestplate',
    name = JTxt('cacti_armor.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['cacti_armor.l0']),
        JPar([ JLine(['enchant.thorns.name',' I'], 'gray') ]) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 3.5, 'armor') ]),
    color = 5698077,
    other = 'Enchantments:[{id:"minecraft:thorns",lvl:1s}]',
    bought = True,
    set = 'cactus_set'
    )
scared_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('scared_pants.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['scared_pants.l0','scared_pants.l1']),
        JPar([
            JLine([ JTxt('enchant.scared.name', 'gray'), 'enchant.scared.l0'], 'dark_gray', italic=True),
            'enchant.scared.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 2.5, 'armor') ]),
    color = 12884561,
    bought = True,
    other = 'Enchantments:[{}]'
    )
berseker_armor = Armor(
    id = 'leather_leggings',
    name = JTxt('berserker_armor.name','red', True, underlined = True),
    lore = Lore([
        JPar(['berserker_armor.l0']),
        JPar([
            JLine([ JTxt('enchant.blood_armor.name', 'gray'), 'enchant.blood_armor.l0'], 'dark_gray', italic=True),
            'enchant.blood_armor.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 2, 'armor') ]),
    color = 15419157,
    price = 3,
    other = 'Enchantments:[{}]',
    set = 'berserker_set'
    )
scaled_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('scaled_shoes.name','gold', True, underlined = True),
    lore = Lore([
        JPar(["scaled_shoes.l0","scaled_shoes.l1"]),
        JPar([ JLine(['enchant.fire_protection.name', ' I'], 'gray') ]) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1.5, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:1s}]',
    color = 15772428,
    price = 3,
    set = 'scaled_armor'
    )
basic_mage_boots = Armor(
    id = 'leather_boots',
    name = JTxt('basic_mage_boots.name','dark_aqua', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1.25, 'armor'), Stat('mana_capacity', 10,'armor') ]),
    color = 10286591,
    set = 'mage_armor',
    bought = True
    )

d = [leprechaun_top_hat, cacti_armor, scared_pants, berseker_armor, basic_mage_boots, scaled_shoes]
d = d + [beginners_hat, beginners_tunic, beginners_pants, beginners_shoes]

armor = s + a + b + c + d
